Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.statistic.bestscore
Class BestScoreSingleStatistic

    java.lang.Object
      org.optaplanner.benchmark.impl.statistic.SingleStatistic<BestScoreStatisticPoint>
          org.optaplanner.benchmark.impl.statistic.bestscore.BestScoreSingleStatistic

    public class BestScoreSingleStatistic

extends SingleStatistic<BestScoreStatisticPoint>

Field Summary

Fields inherited from class org.optaplanner.benchmark.impl.statistic.SingleStatistic
`singleBenchmarkResult, statisticType`

Constructor Summary
`BestScoreSingleStatistic(SingleBenchmarkResult singleBenchmarkResult)`

Method Summary
`void` | `close(Solver solver)`
`protected BestScoreStatisticPoint` | `createPointFromCsvLine(ScoreDefinition scoreDefinition, List<String> csvLine)`
`protected String` | `getCsvHeader()`
`List<BestScoreStatisticPoint>` | `getPointList()`
`void` | `open(Solver solver)`
`void` | `setPointList(List<BestScoreStatisticPoint> pointList)`

Methods inherited from class org.optaplanner.benchmark.impl.statistic.SingleStatistic
`getCsvFile, getCsvFilePath, getStatisticType, readCsvStatisticFile, writeCsvStatisticFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BestScoreSingleStatistic

    public BestScoreSingleStatistic(SingleBenchmarkResult singleBenchmarkResult)

Method Detail

### getPointList

    public List<BestScoreStatisticPoint> getPointList()

  Specified by:
    `getPointList` in class `SingleStatistic<BestScoreStatisticPoint>`

### setPointList

    public void setPointList(List<BestScoreStatisticPoint> pointList)

  Specified by:
    `setPointList` in class `SingleStatistic<BestScoreStatisticPoint>`

### open

    public void open(Solver solver)

  Specified by:
    `open` in class `SingleStatistic<BestScoreStatisticPoint>`

### close

    public void close(Solver solver)

  Specified by:
    `close` in class `SingleStatistic<BestScoreStatisticPoint>`

### getCsvHeader

    protected String getCsvHeader()

  Specified by:
    `getCsvHeader` in class `SingleStatistic<BestScoreStatisticPoint>`

### createPointFromCsvLine

    protected BestScoreStatisticPoint createPointFromCsvLine(ScoreDefinition scoreDefinition,
                                                             List<String> csvLine)

  Specified by:
    `createPointFromCsvLine` in class `SingleStatistic<BestScoreStatisticPoint>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.